// Copyright 1998-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniAppKit/Widgets.subproj/OATabbedWindowController.h,v 1.4 1999/03/30 21:26:13 kc Exp $

#import <OmniBase/SystemType.h> // For YELLOW_BOX

#ifdef YELLOW_BOX

#import <AppKit/NSWindowController.h>
#import <AppKit/NSNibDeclarations.h>

@class NSTabView;
@class OATabViewController;

@interface OATabbedWindowController : NSWindowController
{
    IBOutlet NSTabView *tabView;
}

// API
- (void)refreshUserInterface;
- (OATabViewController *)currentTabViewController;

@end


@interface NSObject (OATabViewItemController)
- (void)willSelectInTabView:(NSTabView *)tabView;
@end

#endif
