// Copyright 1997-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.

#import "NSWindow-OAExtensions.h"

#import <Foundation/Foundation.h>
#import <AppKit/AppKit.h>
#import <OmniBase/OmniBase.h>
#import <OmniFoundation/OmniFoundation.h>

RCS_ID("$Header: /Network/Developer/Source/CVS/OmniGroup/OmniAppKit/OpenStepExtensions.subproj/NSWindow-OAExtensions.m,v 1.3 1999/03/30 21:26:03 kc Exp $")

@implementation NSWindow (OAExtensions)

- (NSPoint)frameTopLeftPoint;
{
    NSRect myFrame;

    myFrame = [self frame];
    return NSMakePoint(myFrame.origin.x, myFrame.origin.y + myFrame.size.height);
}

@end
