// Copyright 1998-1999 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// http://www.omnigroup.com/DeveloperResources/OmniSourceLicense.html.
//
// $Header: /Network/Developer/Source/CVS/OmniGroup/OmniAppKit/Widgets.subproj/OATabViewController.h,v 1.4 1999/03/30 21:26:13 kc Exp $

#import <OmniFoundation/OFObject.h>

@class NSDocument, NSTabView, NSWindow, NSWindowController;

#import <AppKit/NSNibDeclarations.h>

@interface OATabViewController : OFObject
{
    IBOutlet NSWindow *scratchWindow;
    IBOutlet NSTabView *tabView;

    struct {
        unsigned int alreadyAwoke:1;
    } flags;
}


// API
- (NSString *)label;
- (unsigned int)sequenceNumber;

- (NSWindowController *)windowController;
- (NSDocument *)document;

- (void)refreshUserInterface;

@end
